Subject: Re: bug#26445: 26.0.50; Scroll margin and cursor movement working incorrectly when scrolling over different height lines

From: Noam Postavsky <[email-masked]>
Date: Fri, 14 Apr 2017 12:24:28 -0400

# nothing to fix on Emacs side really
tag 26445 notabug
quit

On Fri, Apr 14, 2017 at 12:07 PM, Eli Zaretskii <[email-masked]> wrote:
>> From: Alexander Miller <[email-masked]>
>> Date: Fri, 14 Apr 2017 17:03:16 +0200
>>
>> On 14/04/17 14:16, Eli Zaretskii wrote:
>> > Once you tell Emacs to use that font for some range of characters, it
>> > should choose the best size automatically.
>> Not always. I did not experiment too much, but one example is ⇛ displayed
>> by DejaVu Sans being slightly larger than the surrounding Fantasque Sans
>> Mono text.
>
> I said "the best size".  That doesn't always mean "perfect", because
> not every font supports all the required sizes.
>
>> At any rate I now have all the tools I need to fix my height issue: For
>> entire character
>> ranges being too large (like Font Awesome) the entire range's height can be
>> changed with
>> (set-fontset-font "fontset-default" '(#xf039 . #xf26e)
>>                    (font-spec :size 12 :name "Font Awesome"))
>> The exact range is probably not correct, I still need to look up where
>> it starts and ends.
>>
>> The same solution can be used to fix the size of a single character:
>> (set-fontset-font "fontset-default" '(?\⇛ . ?\⇛)
>>                    (font-spec :size 12 :name "Symbola"))
>
> This will work as long as you don't use face scaling.
>
>> The bug can be closed now. Thanks for the help and happy easter.
>
> Thanks, closing.